Suggest an incident score based on the provided parameters
GET
/v1/incidents/{id}/score
const url = 'https://api.adversarial.com/api/v1/incidents/INC-00001/score';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.adversarial.com/api/v1/incidents/INC-00001/scoreParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
The ID of the incident to score — INC-00001 (case-insensitive) or a bare number
Example
INC-00001Responses
Section titled “Responses”Incident Score Suggestion
Media typeapplication/json
object
id
required
integer format: int64
severity
required
string
severity_reasoning
required
string
threat_objectives
required
Array<object>
object
reasoning
required
string
relevance
required
Defines how relevant a threat objective is to a particular risk
string
threat_name
required
Identifies a specific threat objective
string
threat_objectives_reasoning
required
string
Example
{ "severity": "SEV-5", "threat_objectives": [ { "relevance": "Moderate", "threat_name": "Sabotage" } ]}Scoring failed